Module java.base
Package java.util

## Interface PrimitiveIterator.OfDouble

All Superinterfaces:
  Iterator<Double>, PrimitiveIterator<Double,DoubleConsumer>

Enclosing interface:
  PrimitiveIterator<T,T_CONS>

    public static interface PrimitiveIterator.OfDouble
    extends PrimitiveIterator<Double,DoubleConsumer>

An Iterator specialized for `double` values.

Since:
  1.8

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.PrimitiveIterator

`PrimitiveIterator.OfDouble, PrimitiveIterator.OfInt, PrimitiveIterator.OfLong`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `forEachRemaining(Consumer<? super Double> action)` Performs the given action for each remaining element until all elements have been processed or the action throws an exception.
`default void` `forEachRemaining(DoubleConsumer action)` Performs the given action for each remaining element until all elements have been processed or the action throws an exception.
`default Double` `next()` Returns the next element in the iteration.
`double` `nextDouble()` Returns the next `double` element in the iteration.

### Methods inherited from interface java.util.Iterator

`hasNext, remove`

### Method Detail

#### nextDouble

    double nextDouble()

Returns the next `double` element in the iteration.

Returns:
  the next `double` element in the iteration
Throws:
  `NoSuchElementException` - if the iteration has no more elements

#### forEachRemaining

    default void forEachRemaining(DoubleConsumer action)

Performs the given action for each remaining element until all elements have been processed or the action throws an exception. Actions are performed in the order of iteration, if that order is specified. Exceptions thrown by the action are relayed to the caller.

Specified by:
  `forEachRemaining` in interface `PrimitiveIterator<Double,DoubleConsumer>`
Implementation Requirements:

  The default implementation behaves as if:

           while (hasNext())
               action.accept(nextDouble());

Parameters:
  `action` - The action to be performed for each element
Throws:
  `NullPointerException` - if the specified action is null

#### next

    default Double next()

Returns the next element in the iteration.

Specified by:
  `next` in interface `Iterator<Double>`
Implementation Requirements:
  The default implementation boxes the result of calling `nextDouble()`, and returns that boxed result.
Returns:
  the next element in the iteration

#### forEachRemaining

    default void forEachRemaining(Consumer<? super Double> action)

Performs the given action for each remaining element until all elements have been processed or the action throws an exception. Actions are performed in the order of iteration, if that order is specified. Exceptions thrown by the action are relayed to the caller.

Specified by:
  `forEachRemaining` in interface `Iterator<Double>`
Implementation Requirements:
  If the action is an instance of `DoubleConsumer` then it is cast to `DoubleConsumer` and passed to `forEachRemaining(java.util.function.DoubleConsumer)`; otherwise the action is adapted to an instance of `DoubleConsumer`, by boxing the argument of `DoubleConsumer`, and then passed to `forEachRemaining(java.util.function.DoubleConsumer)`.
Parameters:
  `action` - The action to be performed for each element